#include "mbed.h"
#include "MARMEX_OB_oled.h"
#include <math.h>


#define SIZEX (160)
#define SIZEY (120)

int main() {
	MARMEX_OB_oled   oled1( p10, p12,  p18, p19, p21 ); // mosi, sclk, cs, rst, power_control
    oled1.background( 0x000000 );
    oled1.cls();
    
    int colorbar_width  = MARMEX_OB_oled::WIDTH / 8;
    for ( int i = 0; i < 8; i++ )
        oled1.fill( colorbar_width * i, 0, colorbar_width, MARMEX_OB_oled::HEIGHT, ((i & 0x4) ? 0xFF0000 : 0x000000) | ((i & 0x2) ? 0x00FF00 : 0x000000) | ((i & 0x1) ? 0x0000FF : 0x000000) );
    
    oled1.fill(  50,  50,  64,  64, 0xCCCCCC );;
    
    oled1.locate( 0, 3 );
    oled1.printf( "Hello World!" );
    oled1.locate( 0, 4 );
    oled1.printf( "SPI = %s", MERMEX_OB_SPI_MODE_STR );
    
    for (int i = 0; i < MARMEX_OB_oled::WIDTH; i++ ) {
        oled1.pixel( i, 80 + sin( (float)i / 5.0 ) * 10, 0x000000 );
    }
    
}
